Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002398 [JEDI VCL] 00 JVCL Components feature always 2004-12-18 15:47 2005-01-02 05:09
Reporter anonymous View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002398: Problem with TJvDatePickerEdit with Delphi 2005
Description if the calendar button is pressed, the calendar always appears on the top left hand corner of the screen rather just under the edit control.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0002426resolved MessageDlgEx with delphi 2005 

-  Notes
(0005958)
obones (administrator)
2004-12-20 07:01

This might have to do with a wrong setting on the "Position" property of the associated form, if any.

Could someone check that?

Note that there were talks about that problem in borland's newsgroups:

1@newsgroups.borland.com">news://newsgroups.borland.com:119/41bdeb67$1@newsgroups.borland.com [1@newsgroups.borland.com" target="_blank">^]
(0005968)
user72
2004-12-21 02:48

Try to add this in JvDropDownForm:

constructor TJvCustomDropDownForm.Create(AOwner: TComponent);
...

  Font := TCustomEditAccessProtected(AOwner).Font;
  Position := poDesigned; // NEW
  FEntering := True;
  FLeaving := False;
...

If that doesn't work, try adding the line further down:
...
  with TWinControl(AOwner) do
  begin
    Self.Left := ClientOrigin.X;
    Self.Top := ClientOrigin.Y + Height;
  end;
  Position := poDesigned; // NEW
...

I don't have D2k5 installed, so cannot test myself
(0006050)
anonymous (viewer)
2005-01-01 09:02

Hi,

I tried option 1 and it works just fine. You should introduce this to the CVS
Thanks
(0006052)
obones (administrator)
2005-01-02 05:09

This is now in CVS, thanks for your feedback

- Issue History
Date Modified Username Field Change
2004-12-18 15:47 anonymous New Issue
2004-12-20 07:01 obones Note Added: 0005958
2004-12-21 02:48 user72 Note Added: 0005968
2004-12-21 02:48 user72 Status new => feedback
2004-12-22 14:02 user72 Relationship added related to 0002426
2005-01-01 09:02 anonymous Note Added: 0006050
2005-01-02 05:09 obones Status feedback => resolved
2005-01-02 05:09 obones Resolution open => fixed
2005-01-02 05:09 obones Assigned To => obones
2005-01-02 05:09 obones Note Added: 0006052
2005-01-02 05:09 obones Assigned To obones =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker